#!/bin/sh

export LC_ALL=C

out="$1"

test -z "$out" && out="./"

name()
{
  echo "$out/$DATE-packages-$1.txt"
}

DATE="$(date +%Y%m%d)"


hshdir=".work/chroot/.work"

hsh-run "$hshdir" -- rpm -qa \
   --qf '%-40{name} %-20{version}\n' | sort > "$(name version)"

hsh-run "$hshdir" -- rpm -qa \
   --qf '%-12{size} %-40{name}\n' | sort -rn > "$(name size)"

rm -f "$(name groups)"

hsh-run "$hshdir" -- rpm -qa \
   --qf '%{group}\n' | sort | uniq | while read group; do
      echo -e "\n#  $group\n" >> "$(name groups)"
      hsh-run "$hshdir" -- rpm -qg "$group" --qf '%-40{name} %-20{version}\n' | sort >> "$(name groups)"
  done
